DropSupportTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.DropSupportTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DropSupportTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DropSupportTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DropSupportTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DropSupportTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAcceptedTypes(java.lang.String __acceptedTypes)`
`void` | `setAction(java.lang.String __action)`
`void` | `setActionExpression(java.lang.String __actionExpression)`
`void` | `setActionListener(java.lang.String __actionListener)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setData(java.lang.String __data)`
`void` | `setDisableDefault(java.lang.String __disableDefault)`
`void` | `setDropListener(java.lang.String __dropListener)`
`void` | `setDropValue(java.lang.String __dropValue)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOndragenter(java.lang.String __ondragenter)`
`void` | `setOndragexit(java.lang.String __ondragexit)`
`void` | `setOndrop(java.lang.String __ondrop)`
`void` | `setOndropend(java.lang.String __ondropend)`
`void` | `setOnsubmit(java.lang.String __onsubmit)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setTimeout(java.lang.String __timeout)`
`void` | `setTypeMapping(java.lang.String __typeMapping)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropSupportTag

    public DropSupportTag()

Method Detail

### setActionListener

    public void setActionListener(java.lang.String __actionListener)

### setOndragenter

    public void setOndragenter(java.lang.String __ondragenter)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setFocus

    public void setFocus(java.lang.String __focus)

### setDisableDefault

    public void setDisableDefault(java.lang.String __disableDefault)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setOndropend

    public void setOndropend(java.lang.String __ondropend)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

### setOndrop

    public void setOndrop(java.lang.String __ondrop)

### setAction

    public void setAction(java.lang.String __action)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.String __acceptedTypes)

### setActionExpression

    public void setActionExpression(java.lang.String __actionExpression)

### setDropValue

    public void setDropValue(java.lang.String __dropValue)

### setDropListener

    public void setDropListener(java.lang.String __dropListener)

### setStatus

    public void setStatus(java.lang.String __status)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setOndragexit

    public void setOndragexit(java.lang.String __ondragexit)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setData

    public void setData(java.lang.String __data)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### setTypeMapping

    public void setTypeMapping(java.lang.String __typeMapping)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.